Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class MemoryCoGroupClosure

    java.lang.Object
      cascading.pipe.joiner.JoinerClosure
          cascading.flow.stream.MemoryCoGroupClosure

    public class MemoryCoGroupClosure

extends JoinerClosure

Field Summary

Fields inherited from class cascading.pipe.joiner.JoinerClosure
`flowProcess, joinFields, valueFields`

Constructor Summary
`MemoryCoGroupClosure(FlowProcess flowProcess, int numSelfJoins, Fields[] groupingFields, Fields[] valueFields)`

Method Summary
`Tuple` | `getGroupTuple(Tuple keysTuple)`
`Iterator<Tuple>` | `getIterator(int pos)`
`boolean` | `isEmpty(int pos)`
`void` | `reset(Collection<Tuple>[] collections)`
`int` | `size()`

Methods inherited from class cascading.pipe.joiner.JoinerClosure
`getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryCoGroupClosure

    public MemoryCoGroupClosure(FlowProcess flowProcess,
                                int numSelfJoins,
                                Fields[] groupingFields,
                                Fields[] valueFields)

Method Detail

### size

    public int size()

  Specified by:
    `size` in class `JoinerClosure`

### reset

    public void reset(Collection<Tuple>[] collections)

### getIterator

    public Iterator<Tuple> getIterator(int pos)

  Specified by:
    `getIterator` in class `JoinerClosure`

### isEmpty

    public boolean isEmpty(int pos)

  Specified by:
    `isEmpty` in class `JoinerClosure`

### getGroupTuple

    public Tuple getGroupTuple(Tuple keysTuple)

  Specified by:
    `getGroupTuple` in class `JoinerClosure`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.